/****************************************************************************
**
** Copyright (C) 1991-2006 Heinz van Saanen
**
** This file is part of the the function viewer Zhu3D.
**
** This file may be used under the terms of the GNU General Public
** License version 2.0 as published by the Free Software Foundation
** and appearing in the file LICENSE.GPL included in the packaging of
** this file.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/

#ifndef TIMERS_H
#define TIMERS_H

#include "debug.h"

extern double secs;

#ifdef WIN32
void initMMTimer();
#endif

void TimerStart();		// Initialize and set secs=0.0
void TimerStop();		// Stop, the global secs holds the seconds now

unsigned long long sysTicks();		// Hardware-independent like above functions
unsigned long long cpuTicks();		// CPU-cycle counter

#endif
